%define anolis_release 2

Summary: A library for text mode user interfaces
Name: newt
Version: 0.52.23
Release: %{anolis_release}%{?dist}
License: LGPLv2
URL: https://pagure.io/newt
Source: https://pagure.io/releases/newt/newt-%{version}.tar.gz
BuildRequires: make
BuildRequires: gcc popt-devel python3-devel slang-devel
BuildRequires: docbook-utils
BuildRequires: lynx

%package devel
Summary: Newt windowing toolkit development files
Requires: slang-devel
Requires: %{name} = %{version}-%{release}

%Description
Newt is a programming library for color text mode, widget based user
interfaces.  Newt can be used to add stacked windows, entry widgets,
checkboxes, radio buttons, labels, plain text fields, scrollbars,
etc., to text mode user interfaces.  This package also contains the
shared library needed by programs built with newt, as well as a
/usr/bin/dialog replacement called whiptail.  Newt is based on the
slang library.

%description devel
The newt-devel package contains the header files and libraries
necessary for developing applications which use newt.  Newt is a
development library for text mode user interfaces.  Newt is based on
the slang library.

Install newt-devel if you want to develop applications which will use
newt.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package -n python3-newt
%{?python_provide:%python_provide python3-newt}
Provides: %{name}-python3 = %{version}-%{release}
Provides: snack = %{version}-%{release}
Summary: Python 3 bindings for newt
Requires: %{name} = %{version}-%{release}

%description -n python3-newt
The python3-newt package contains the Python 3 bindings for the newt library
providing a python API for creating text mode interfaces.

%prep
%setup -q

%build
# gpm support seems to smash the stack w/ we use help in anaconda??
# --with-gpm-support
%configure --without-tcl --disable-static
%make_build
chmod 0644 peanuts.py popcorn.py
docbook2txt tutorial.sgml

%install
%make_install

rm -f %{buildroot}%{_libdir}/*.a

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%{_bindir}/whiptail
%{_libdir}/libnewt.so.*
%{_mandir}/man1/whiptail.1*

%files doc
%doc AUTHORS CHANGES README

%files devel
%doc tutorial.*
%{_includedir}/newt.h
%{_libdir}/libnewt.so
%{_libdir}/pkgconfig/libnewt.pc

%files -n python3-newt
%doc peanuts.py popcorn.py
%{python3_sitearch}/*.so
%{python3_sitearch}/*.py*
%{python3_sitearch}/__pycache__/*.py*

%changelog
* Wed Mar 13 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 0.52.23-2
- Rebuild with python3.11

* Fri Jan 20 2023 Funda Wang <fundawang@yeah.net> - 0.52.23-1
- New version 0.52.23

* Wed Mar 09 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 0.52.21-1
- init from usptream 0.52.21
